package cn.iocoder.yudao.module.sale.controller.admin.offer;

import cn.iocoder.yudao.module.sale.convert.offer.OfferProdConvert;
import cn.iocoder.yudao.module.sale.vo.offer.prod.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferProdDO;
import cn.iocoder.yudao.module.sale.service.offer.OfferProdService;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;

import javax.validation.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.IOException;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

import cn.iocoder.yudao.framework.excel.util.ExcelUtils;

import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;

@Api(tags = "管理后台 - 报价商品详情")
@RestController
@RequestMapping("/ecw/offer-prod")
@Validated
public class OfferProdController {

    @Resource
    private OfferProdService offerProdService;


    @DeleteMapping("/delete/{offerProdId}")
    @ApiOperation("删除报价商品详情")
    @ApiImplicitParam(name = "offerProdId", value = "报价商品ID", required = true, example = "1024", dataTypeClass = Long.class)
    //@PreAuthorize("@ss.hasPermission('ecw:offer-prod:delete')")
    public CommonResult<Boolean> deleteOfferProd(@PathVariable Long offerProdId) {
        offerProdService.deleteOfferProd(offerProdId);
        return success(true);
    }

}
