//package cn.iocoder.yudao.module.sale.controller.admin.offer;
//
//import cn.iocoder.yudao.module.sale.vo.offer.transport.*;
//import org.springframework.web.bind.annotation.*;
//import javax.annotation.Resource;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.security.access.prepost.PreAuthorize;
//import io.swagger.annotations.*;
//
//import javax.validation.*;
//import javax.servlet.http.*;
//import java.util.*;
//import java.io.IOException;
//
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.framework.common.pojo.CommonResult;
//import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
//
//import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
//
//import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
//import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
//
//import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferTransportDO;
//import cn.iocoder.yudao.module.ecw.convert.offer.OfferTransportConvert;
//import cn.iocoder.yudao.module.sale.service.offer.OfferTransportService;
//
//@Api(tags = "管理后台 - 报价单运输方式")
//@RestController
//@RequestMapping("/ecw/offer-transport")
//@Validated
//public class OfferTransportController {
//
//    @Resource
//    private OfferTransportService offerTransportService;
//
//    @PostMapping("/create")
//    @ApiOperation("创建报价单运输方式")
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:create')")
//    public CommonResult<Long> createOfferTransport(@Valid @RequestBody OfferTransportCreateReqVO createReqVO) {
//        return success(offerTransportService.createOfferTransport(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新报价单运输方式")
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:update')")
//    public CommonResult<Boolean> updateOfferTransport(@Valid @RequestBody OfferTransportUpdateReqVO updateReqVO) {
//        offerTransportService.updateOfferTransport(updateReqVO);
//        return success(true);
//    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除报价单运输方式")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:delete')")
//    public CommonResult<Boolean> deleteOfferTransport(@RequestParam("id") Long id) {
//        offerTransportService.deleteOfferTransport(id);
//        return success(true);
//    }
//
//    @GetMapping("/get")
//    @ApiOperation("获得报价单运输方式")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:query')")
//    public CommonResult<OfferTransportRespVO> getOfferTransport(@RequestParam("id") Long id) {
//        OfferTransportDO offerTransport = offerTransportService.getOfferTransport(id);
//        return success(OfferTransportConvert.INSTANCE.convert(offerTransport));
//    }
//
//    @GetMapping("/list")
//    @ApiOperation("获得报价单运输方式列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:query')")
//    public CommonResult<List<OfferTransportRespVO>> getOfferTransportList(@RequestParam("ids") Collection<Long> ids) {
//        List<OfferTransportDO> list = offerTransportService.getOfferTransportList(ids);
//        return success(OfferTransportConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得报价单运输方式分页")
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:query')")
//    public CommonResult<PageResult<OfferTransportRespVO>> getOfferTransportPage(@Valid OfferTransportPageReqVO pageVO) {
//        PageResult<OfferTransportDO> pageResult = offerTransportService.getOfferTransportPage(pageVO);
//        return success(OfferTransportConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出报价单运输方式 Excel")
//    @PreAuthorize("@ss.hasPermission('ecw:offer-transport:export')")
//    @OperateLog(type = EXPORT)
//    public void exportOfferTransportExcel(@Valid OfferTransportExportReqVO exportReqVO,
//              HttpServletResponse response) throws IOException {
//        List<OfferTransportDO> list = offerTransportService.getOfferTransportList(exportReqVO);
//        // 导出 Excel
//        List<OfferTransportExcelVO> datas = OfferTransportConvert.INSTANCE.convertList02(list);
//        ExcelUtils.write(response, "报价单运输方式.xls", "数据", OfferTransportExcelVO.class, datas);
//    }
//
//}
