package cn.iocoder.yudao.module.sale.controller.admin.offerApproval;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.security.access.prepost.PreAuthorize;
import io.swagger.annotations.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
import cn.iocoder.yudao.module.sale.vo.offerApproval.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval.OfferApprovalDO;
import cn.iocoder.yudao.module.sale.convert.offerApproval.OfferApprovalConvert;
import cn.iocoder.yudao.module.sale.service.offerApproval.OfferApprovalService;

@Validated
@RestController
@Api(tags = "管理后台 - 报价单审核详情")
@RequestMapping("/sale/offer-approval")
public class OfferApprovalController {

    @Resource
    private OfferApprovalService offerApprovalService;


    @GetMapping("/get")
    @ApiOperation("获得报价单审核详情")
    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    //@PreAuthorize("@ss.hasPermission('ecw:offer-approval:query')")
    public CommonResult<OfferApprovalBackVO> getOfferApproval(@RequestParam("id") Long id) {
        OfferApprovalDO offerApproval = offerApprovalService.getOfferApproval(id);
        return success(OfferApprovalConvert.INSTANCE.convert(offerApproval));
    }


    @GetMapping("/page")
    @ApiOperation("获得报价单审核详情分页")
    //@PreAuthorize("@ss.hasPermission('ecw:offer-approval:query')")
    public CommonResult<PageResult<OfferApprovalBackVO>> getOfferApprovalPage(@Valid OfferApprovalQueryVO query, PageVO page) {
        PageResult<OfferApprovalDO> pageResult = offerApprovalService.getOfferApprovalPage(query, page);
        return success(OfferApprovalConvert.INSTANCE.convertPage(pageResult));
    }

}
